<?php
	
	$full_path = get_site_url();
	$assets = $full_path . "/wp-content/plugins/webinarexpress/inc/lp/";

	// Get Results
	$id = $client;
	$results = get_option('webinarexpress_campaign_'. $id);

?>
<!DOCTYPE html>
<html>
<head>
	
	<!-- META INFO -->
	<title><?php display($results->webinar_title, "Amazing Webinar Training 101"); ?></title>
	<meta name="description" content="<?php display($results->webinar_desc, "Join this amazing webinar May the 4th, and discover industry trade secrets!"); ?>">
	<!-- SOCIAL INFO -->
	<meta property="og:title" content="<?php display($results->webinar_title, "Amazing Webinar Training 101"); ?>"/>
	<!-- <meta property="og:image" content="<?php display($results->ty_share_image, ""); ?>"/> -->

	<link href="<?php echo $assets; ?>css/normalize.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/foundation.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/main.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/webinar.css" rel="stylesheet" type="text/css" />

	<link href="<?php echo $assets; ?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $assets; ?>css/font-awesome-ie7.min.css" rel="stylesheet" type="text/css" />

	<link href="<?php echo $assets; ?>css/countdown.css" rel="stylesheet" type="text/css" />

	<?php include("css/webinar_css.php"); ?>

	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7/jquery.min.js"></script>
	<script type="text/javascript" src="<?php echo $assets; ?>js/countdown.js"></script>
	
	<script type="text/javascript">
	$(document).ready(function() {

		var austDay = new Date();
       	
       	<?php
       		// Get Date
       		$expire = $results->webinar_date;
            $exDate = explode("-", $expire);
            $exYear = $exDate[2];
            $exMonth = $exDate[0];
            $exDay = $exDate[1];
            // Get Time
            $time = $results->webinar_start_time;
            $exTime = explode(":", $time);
            $exHr = $exTime[0];
            $exMin = $exTime[1];
            $exSec = $exTime[2];
       	?>

        austDay = $.countdown.UTCDate(<?php echo $results->webinar_timezone ? $results->webinar_timezone : '-5'; ?>, <?php echo $exYear ? $exYear : '0'; ?>, <?php echo $exMonth ? $exMonth : '0'; ?> - 1, <?php echo $exDay ? $exDay : '0'; ?>, <?php echo $exHr ? $exHr : '0'; ?>, <?php echo $exMin ? $exMin : '0'; ?>, <?php echo $exSec ? $exSec : '0'; ?>);
        
        $('#defaultCountdown').countdown({
        	until: austDay, 
        	onExpiry: expired_cd
        });
        
        function expired_cd() { 
        	$("#expire").show(); 
        	$("#defaultCountdown").hide(); 
        }
	
	});
	</script>

	<?php include("css/webinar_css.php"); ?>

	<!-- CUSTOM JS -->
	<script type="text/javascript">
		<?php display($results->custom_webinar_js, ""); ?>
	</script>
	<!-- CUSTOM CSS -->
	<style type="text/css">
		<?php display($results->custom_webinar_css, ""); ?>
	</style>

</head>
<body>

<!-- TOP AREA -->
<div class="topArea">
	<div class="bannerTop">
	<?php if( $results->webinar_banner_image == "" ){ 
			// echo "NONE"; 
		} else { 
			echo "<img src='$results->webinar_banner_image' />"; 
		} 
	?>
	</div>
</div>

<!-- Main Area -->
<div class="mainWrapper">

	<!-- HEADLINE AREA -->
	<div class="headlineArea">
		<?php
		display(
			$results->cd_headline,
			'<h4 class="subheader" >You Are Viewing The Webinar That Is Not Yet Live - <b>We Go Live Soon!</b></h4>
			 <h2 style="margin-top: -10px; margin-bottom: 30px;" >Webinar Starts SOME DATE HERE</h2>');
		?>
	</div>

	<!-- COUNTDOWN AREA -->
	<div class="countdownArea">
		<div id="defaultCountdown"></div>
	</div>

	<br clear="left" />

	<!-- UNDER COUNTDOWN AREA -->
	<div class="headlineArea" style="margin-top: 30px;" >
		
		<?php
		display(
			$results->cd_headline2,
			'<h4 class="subheader" >Not Sign Up Yet For The Awesome Webinar?</h4>
			 <h2 style="margin-top: -10px; margin-bottom: 30px;" >Signup To The Webinar</h2>');
		?>

		<a href="<?php if( $results->cd_button == "custom" ){ echo $results->cd_button_url; } else { echo "?"; } ?>" id="optinBTN" class="large button" style="border: 1px solid rgba(0,0,0,0.10); background-color: <?php display($results->cd_button_color, "#74BB00"); ?>;" ><?php display($results->cd_button_copy, "Register For Webinar"); ?></a>
	</div>

</div>

<!-- BOTTOM AREA -->
<div class="bottomArea">
	<div><?php display( $results->footer_copy, "All Rights Reserved - Copyright @ 2013" ); ?></div>
	<?php if($results->footer_branding == "show" || $results->footer_branding == "" ){ ?>
	<div style="margin-top: 15px;" ><a href="<?php display( $results->footer_branding_url, "http://webinarexpress.com/" ); ?>" target="_blank" ><b><?php display( $results->footer_branding_copy, "Powered By WebinarExpress" ); ?></b></a></div>
	<?php } ?>
</div>

</body>
</html>