<?php

// ********* META DATA BOX ********************///

add_action( 'add_meta_boxes', 'webinarexpressx_meta_box_add' );

function webinarexpressx_meta_box_add(){
	add_meta_box( 'webinarexpressx-id', 'Link To WebinarExpress', 'webinarexpressx_meta_box_cb', 'page', 'side', 'high' );
}

function webinarexpressx_meta_box_cb(){ 
	
	   global $post;  
	   $values = get_post_custom( $post->ID );  
	   $selected = isset( $values['webinarexpressx_meta_box_select'] ) ?
	   esc_attr( $values['webinarexpressx_meta_box_select'] ) : '';
	    
	   wp_nonce_field( 'webinarexpressx_meta_box_nonce', 'webinarexpressx_box_nonce' );
	   
	   $webinarexpressxSelected = $values['webinarexpressx_meta_box_select'];
	      
	   $webinarexpressxCurrentSelected = $webinarexpressxSelected[0];
	      
	?>
	<h4 style=" margin-bottom: 0px; margin-top: 15px;">Select A WebinarExpress Campaign Page:</h4>
	<span style="font-size: 11px;" >This page will be replaced with this campaign page...</span>
	<br>   
	<select name="webinarexpressx_meta_box_select" id="webinarexpressx_meta_box_select" style="margin-top: 10px; width: 250px;">
	
	<option <?php if($webinarexpressxCurrentSelected == "0"){ echo "selected='selected'"; } ?> value="0">NONE</option>
	
	
		  	<?php 
		   	
		   	global $wpdb;
		   	
			$table_db_name = $wpdb->prefix . "webinarexpress";

		   	$templates = $wpdb->get_results("SELECT * FROM $table_db_name",ARRAY_A);
		   	$templates = array_reverse($templates );
		   	
		   	foreach($templates as $template){
		   	
		   		$name = stripslashes($template['appname']);
		   		$id = stripslashes($template['ID']);
		   		$selectedBox = "";
		   		if($webinarexpressxCurrentSelected == $id){ $selectedBox = "selected='selected'"; }
		   		
		   		echo "<option $selectedBox value='$id'>$name</option>";
		   	
		   	}
		   	
		   	?>
	
	</select>
	
	<?php
}

// Save Settings

add_action( 'save_post', 'webinarexpressx_meta_box_save' );

function webinarexpressx_meta_box_save( $post_id ){
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;

	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['webinarexpressx_box_nonce'] ) || !wp_verify_nonce( $_POST['webinarexpressx_box_nonce'], 'webinarexpressx_meta_box_nonce' ) ) return;

	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data 
	  
	// Make sure your data is set before trying to save it  

	if( isset( $_POST['webinarexpressx_meta_box_select'] ) )  
	        update_post_meta( $post_id, 'webinarexpressx_meta_box_select', esc_attr( $_POST['webinarexpressx_meta_box_select'] ) );  
	                         
}

// Get post settings ::

add_action('template_redirect', 'webinarexpressx_checkpost');

function webinarexpressx_checkpost(){
	
	// get POST ID:
	global $post;  
	$values = get_post_custom( $post->ID );  
	$selected = isset( $values['webinarexpressx_meta_box_select'] );	
	$webinarexpressxSelected = $values['webinarexpressx_meta_box_select'];
	
	$webinarexpressxCurrentSelected = $webinarexpressxSelected[0];
	
	
	if($webinarexpressxCurrentSelected == "0" || $webinarexpressxCurrentSelected == ""){
		// do nothing...
	} else {
				
			$full_path = WP_PLUGIN_URL.'/'.str_replace(basename( FILE),"",plugin_basename(FILE));
			
			$client = urlencode($webinarexpressxCurrentSelected);
			
			$postID = $post->ID;
			
			// Thank You Page
			if ( isset($_GET['confirmed']) ) {

				// Shows Thank You Page
				include("lp/thankyou.php");
			
			} else if ( isset($_GET['preview-countdown']) ) {
				
				// Preview Count Down Page
				include("lp/countdown.php");
			
			} else if ( isset($_GET['preview-webinar']) ) {
				
				// Preview Webinar Page
				include("lp/webinar.php");
			
			} else if ( isset($_GET['preview-replay']) ) {
				
				// Preview Replay Page
				include("lp/replay.php");
			
			} else if ( isset($_GET['live']) ) {
				
				// Live Page -- Get Switch Settings ::

				// Return Option Object:
				$results = get_option('webinarexpress_campaign_'. $client);	

				if( $results->webinar_switch == "" || $results->webinar_switch == "countdown" ){
					// Show Countdown Page
					include("lp/countdown.php");

				} else if( $results->webinar_switch == "live" ){
					// Show Live Webinar
					include("lp/webinar.php");

				} else if( $results->webinar_switch == "replay" ){
					// Show Webinar Replay
					include("lp/replay.php");

				} else if( $results->webinar_switch == "closed" ){
					// Show Live Webinar
					include("lp/closed.php");

				}

			
			} else if ( isset($_GET['googlecalendar']) ) {
				
				// Add To Calendar
				include("lp/google.php");
			
			} else if ( isset($_GET['ics']) ) {
				
				// Add To iCal
				include("lp/ics.php");
			
			} else if ( isset($_GET['3rdpartypost']) ) {
				
				// 3rd Party Post
				include("lp/posted.php");
			
			} else {
				
				// Main Landing Page
				include("lp/index.php");
			
			}

			
			die();
			
		}
		
	

}

?>